tente:

apt-get install python2.4-dev zlib1g-dev

instale o setup-tools atraveś do ez_setup.py(
http://peak.telecommunity.com/dist/ez_setup.py):

python2.4 ez_setup.py

feito isto, tente: easy_install-2.4 PIL


[]'s

Em 11 de fevereiro de 2010 13:18, erick <erick_gall...@hotmail.com>escreveu:

>
>
> Olá Vanderson.
> Primeiramente obrigado pela ajuda.
> Foram encontrados os seguintes problemas.
>
> er...@----:~$ easy_install-2.4 PIL
> easy_install-2.4: command not found
>
> ----------------------------------------------------------
>
> er...@----:~$ python2.4 -m easy_install PIL
> python2.4: module easy_install not found
>
> ----------------------------------------------------------
>
> er...@----:~$ sudo apt-get install easy_install
> Lendo listas de pacotes... Pronto
> Construindo árvore de dependências
> Lendo informação de estado... Pronto
> E: Impossível achar pacote easy_install
>
> ----------------------------------------------------------
>
> er...@----:~$ sudo apt-get install setup_tools
> Lendo listas de pacotes... Pronto
> Construindo árvore de dependências
> Lendo informação de estado... Pronto
> E: Impossível achar pacote setup_tools
>
> ----------------------------------------------------------
>
> er...@----:~$ sudo apt-get install python-setuptools
> Lendo listas de pacotes... Pronto
> Construindo árvore de dependências
> Lendo informação de estado... Pronto
> python-setuptools já é a versão mais nova.
>
> ----------------------------------------------------------
>
> er...@----:~$ sudo easy_install PIL
> Searching for PIL
> Best match: PIL 1.1.7
> Processing PIL-1.1.7-py2.6-linux-x86_64.egg
> PIL 1.1.7 is already the active version in easy-install.pth
> Installing pilfile.py script to /usr/local/bin
> Installing pildriver.py script to /usr/local/bin
> Installing pilfont.py script to /usr/local/bin
> Installing pilconvert.py script to /usr/local/bin
> Installing pilprint.py script to /usr/local/bin
>
> Using
> /usr/local/lib/python2.6/dist-packages/PIL-1.1.7-py2.6-linux-x86_64.egg
> Processing dependencies for PIL
> Finished processing dependencies for PIL
>
> ----------------------------------------------------------
>
> Ele acusa que o modulo easy_install nao está instalado e o setup_tools tb
> não, no entanto como vc pode ver o modulo python-setuptools já se encontra
> instalado e na versão mais nova.
> Se alguem souber como arrumar isso, agradeço.
>
> Atenciosamente,
> Erick.
>
> --- Em zope-pt@yahoogrupos.com.br <zope-pt%40yahoogrupos.com.br>,
> Vanderson Mota dos Santos <vanderson.m...@...> escreveu
>
> >
> > se você tiver o setup_tools instalado, é só rodar:
> >
> > easy_install-2.4 PIL
> >
> >
> > Ou pelo gerenciador de pacotes:
> > apt-get install python-imaging
> >
> >
> > abs!
> >
> > Em 11 de fevereiro de 2010 11:01, erick <erick_gall...@...>escreveu:
>
> >
> > >
> > >
> > > Olá a todos do grupo Zope/Plone
> > > Estou tendo um problema serio para instalar o Plone em nossa nova
> maquina
> > > servidora.
> > > Segue as mensagens apresentadas:
> > >
> > > ----------------------------------------------------------
> > >
> > > etailed installation log being written to
> > > /home/erick/Downloads/Plone-3.3.4-UnifiedInstaller/install.log
> > >
> > > zlib installation: no
> > > libjpeg installation: no
> > > Root install method chosen
> > >
> > > Installing Plone 3.3.4 at /usr/local/Plone
> > >
> > > Skipping zlib compile and install
> > > Skipping libjpeg compile/install
> > > Skipping readline compile/install
> > > Python found at /usr/local/Plone/Python-2.4/bin/python; Skipping Python
> > > install.
> > > Installing PIL
> > > Traceback (most recent call last):
> > > File "<string>", line 1, in ?
> > > ImportError: No module named _imaging
> > > Python imaging support is missing; something went wrong in the PIL or
> > > python build.
> > >
> > > Installation has failed.
> > > See the detailed installation log at
> > > /home/erick/Downloads/Plone-3.3.4-UnifiedInstaller/install.log
> > > to determine the cause.
> > >
> > > ----------------------------------------------------------
> > >
> > > E o log de erros (apenas o fim):
> > >
> > > /usr/bin/gcc -I/usr/local/Plone/Python-2.4/include -pthread -shared
> > > build/temp.linux-x86_64-2.4/_imaging.o
> build/temp.linux-x86_64-2.4/decode.o
> > > build/temp.linux-x86_64-2.4/encode.o build/temp.linux-x86_64-2.4/map.o
> > > build/temp.linux-x86_64-2.4/display.o
> build/temp.linux-x86_64-2.4/outline.o
> > > build/temp.linux-x86_64-2.4/path.o
> > > build/temp.linux-x86_64-2.4/libImaging/Access.o
> > > build/temp.linux-x86_64-2.4/libImaging/Antialias.o
> > > build/temp.linux-x86_64-2.4/libImaging/Bands.o
> > > build/temp.linux-x86_64-2.4/libImaging/BitDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/Blend.o
> > > build/temp.linux-x86_64-2.4/libImaging/Chops.o
> > > build/temp.linux-x86_64-2.4/libImaging/Convert.o
> > > build/temp.linux-x86_64-2.4/libImaging/ConvertYCbCr.o
> > > build/temp.linux-x86_64-2.4/libImaging/Copy.o
> > > build/temp.linux-x86_64-2.4/libImaging/Crc32.o
> > > build/temp.linux-x86_64-2.4/libImaging/Crop.o
> > > build/temp.linux-x86_64-2.4/libImaging/Dib.o
> > > build/temp.linux-x86_64-2.4/libImaging/Draw.o
> > > build/temp.linux-x86_64-2.4/libImaging/Effects.o
> > > build/temp.linux-x86_64-2.4/libImaging/EpsEncode.o
> > > build/temp.linux-x86_64-2.4/libImaging/File.o
> > > build/temp.linux-x86_64-2.4/libImaging/Fill.o
> > > build/temp.linux-x86_64-2.4/libImaging/Filter.o
> > > build/temp.linux-x86_64-2.4/libImaging/FliDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/Geometry.o
> > > build/temp.linux-x86_64-2.4/libImaging/GetBBox.o
> > > build/temp.linux-x86_64-2.4/libImaging/GifDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/GifEncode.o
> > > build/temp.linux-x86_64-2.4/libImaging/HexDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/Histo.o
> > > build/temp.linux-x86_64-2.4/libImaging/JpegDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/JpegEncode.o
> > > build/temp.linux-x86_64-2.4/libImaging/LzwDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/Matrix.o
> > > build/temp.linux-x86_64-2.4/libImaging/ModeFilter.o
> > > build/temp.linux-x86_64-2.4/libImaging/MspDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/Negative.o
> > > build/temp.linux-x86_64-2.4/libImaging/Offset.o
> > > build/temp.linux-x86_64-2.4/libImaging/Pack.o
> > > build/temp.linux-x86_64-2.4/libImaging/PackDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/Palette.o
> > > build/temp.linux-x86_64-2.4/libImaging/Paste.o
> > > build/temp.linux-x86_64-2.4/libImaging/Quant.o
> > > build/temp.linux-x86_64-2.4/libImaging/QuantHash.o
> > > build/temp.linux-x86_64-2.4/libImaging/QuantHeap.o
> > > build/temp.linux-x86_64-2.4/libImaging/PcdDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/PcxDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/PcxEncode.o
> > > build/temp.linux-x86_64-2.4/libImaging/Point.o
> > > build/temp.linux-x86_64-2.4/libImaging/RankFilter.o
> > > build/temp.linux-x86_64-2.4/libImaging/RawDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/RawEncode.o
> > > build/temp.linux-x86_64-2.4/libImaging/Storage.o
> > > build/temp.linux-x86_64-2.4/libImaging/SunRleDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/TgaRleDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/Unpack.o
> > > build/temp.linux-x86_64-2.4/libImaging/UnpackYCC.o
> > > build/temp.linux-x86_64-2.4/libImaging/XbmDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/XbmEncode.o
> > > build/temp.linux-x86_64-2.4/libImaging/ZipDecode.o
> > > build/temp.linux-x86_64-2.4/libImaging/ZipEncode.o -L/usr/local/lib
> > > -L/usr/local/Plone/Python-2.4/lib -L/usr/lib -ljpeg -lz -o
> > > build/lib.linux-x86_64-2.4/_imaging.so
> > > /usr/bin/ld: /usr/local/Plone/Python-2.4/lib/libz.a(deflate.o):
> relocation
> > > R_X86_64_32S against `.rodata' can not be used when making a shared
> object;
> > > recompile with -fPIC
> > > /usr/local/Plone/Python-2.4/lib/libz.a: could not read symbols: Bad
> value
> > > collect2: ld returned 1 exit status
> > > error: command '/usr/bin/gcc' failed with exit status 1
> > >
> > > ----------------------------------------------------------
> > >
> > > Pela mensagens o erro está na construção da PIL no Python 2.4 que o
> próprio
> > > plone gera, gostaria de saber como resolver este problema.
> > > Até agora todas as tentantivas foram frustadas.
> > >
> > > Detalhe: Essa instância esta sendo instalada em 'standalone' somente
> para
> > > fins de teste.
> > >
> > > Atenciosamente,
> > > Erick.
> > >
> > >
> > >
> >
> >
> >
> > --
> > Vanderson Mota dos Santos
> >
>
>  
>



-- 
Vanderson Mota dos Santos

Responder a